XZDEC(1)

NOME
xzdec, lzmadec - Piccoli compressori .xz e .lzma

SINOSSI
xzdec [OPZIONE...] [FILE...]
lzmadec [OPZIONE...] [FILE...]

DESCRIZIONE
xzdec è uno strumento di sola decompressione basato su liblzma per i file .xz (e solo .xz). xzdec è destinato a funzionare come sostituto drop-in di xz (1) nelle situazioni più comuni in cui è stato scritto uno script che utilizza xz --decompress --stdout (e possibilmente alcune altre opzioni di uso comune) per decomprimere i file .xz. lzmadec è identico a xzdec tranne nel fatto che supporta file .lzma invece di .xz.

Per ridurre la dimensione dell'eseguibile, xzdec non supporta né il multi-thread né la localizzazione, e non legge le opzioni dalle variabili di ambiente XZ_DEFAULTS e XZ_OPT. xzdec non supporta la visualizzazione delle informazioni di avanzamento: inviare SIGINFO a xzdec non fa nulla mentre inviare SIGUSR1 termina il processo anziché mostrare le informazioni di avanzamento.

OPZIONI

-d, --decompress, --uncompress
    Ignorato per compatibilità con xz(1). xzdec supporta solo la decompressione.

-k, --keep
    Ignorato per compatibilità con xz(1). xzdec non crea né rimuove mai file.

-c, --stdout, --to-stdout
    Ignorato per compatibilità con xz(1). xzdec scrive sempre i dati decompressi sullo standard output.

-q, --quiet
    Specificare questa opzione una sola volta non ha effetto, poiché xzdec non visualizza mai alcun avvertimento né avviso. Specificare questa opzione due volte per eliminare gli errori.

-Q, --no-warn
    Ignorato per compatibilità con xz(1). xzdec non utilizza mai il codice di uscita 2.

-h, --help
    Mostra un messaggio di aiuto e termina con successo.

-V, --version
    Mostra il numero di versione di xzdec e liblzma.

CODICE DI USCITA

0   Andava tutto bene.

1   È avvenuto un errore.

xzdec non ha alcun messaggio di avvertimento come xz (1), quindi lo stato di uscita 2 non viene utilizzato da xzdec.

NOTE
Utilizzare xz(1) al posto di xzdec o lzmadec per l'utilizzo normale abituale. xzdec e lzmadec sono pensati solo per situazioni in cui sia importante avere un decompressore più piccolo rispetto a quello con funzionalità complete xz(1).

xzdec e lzmadec non sono veramente così piccoli. La dimensione può essere ridotta ulteriormente eliminando delle funzionalità da liblzma al momento della compilazione, ma questo di solito non dovrebbe essere fatto per gli eseguibili distribuiti nelle tipiche distribuzioni di sistemi operativi non embedded. Se c'è bisogno di un decompressore .xz veramente piccolo, si consideri l'utilizzo di XZ Embedded.

VEDERE ANCHE
xz(1)

XZ Embedded: <https://xz.tukaani.org/xz-embedded/>